tailind.test {POT} | R Documentation

## Testing for Tail Independence in Extreme Value Models

### Description

Several tests for tail independence (e.g. asymptotic independence) for a bivariate extreme value distribution

### Usage

    tailind.test(data, c = -0.1, emp.trans = TRUE, chisq.n.class = 4)

### Arguments

`data` | A matrix with two columns given the data.
`c` | A negative numeric. Must be close to zero to approximate accurately asymptotic results.
`emp.trans` | Logical. If `TRUE` (the default), `"data"` is transformed to reverse exponential using empirical estimates. Otherwise, `"data"` is supposed to be reverse exponential distributed.
`chisq.n.class` | A numeric given the number of classes for the Chi squared test.

### Details

These tests are based on an asymptotic results shown by Falk and Michel (2006). Let (X,Y) be a random vector which follows in its upper tail a bivariate extreme value distribution with reverse exponential margins. The conditional distribution function of X+Y, given that X+Y>c, converges to F(t)=t^2, t in [0,1], if t tends to 0 iff X and Y are asymptotically independent. Otherwise, the limit is F(t) = t

### Value

This function returns a table with the Neymann-Pearson, Fisher, Kolmogorov-Smirnov and Chi-Square statistics and the related p-values.

### Author(s)

Mathieu Ribatet

### References

Falk, M. and Michel, Rene(2006) Testing for tail independence in extreme value models. Annals of the Institute of Statistical Mathematics 58: 261–290

### See Also

`chimeas`, `specdens`

### Examples

    ##A total independence example
    x <- rbvgpd(7000, alpha = 1, mar1 = c(0, 1, 0.25))
    tailind.test(x)
    ##An asymptotically dependent example
    y <- rbvgpd(7000, alpha = 0.75, model = "nlog", mar1 = c(0, 1, 0.25),
    mar2 = c(2, 0.5, -0.15))
    tailind.test(y)
    ##A perfect dependence example
    z <- rnorm(7000)
    tailind.test(cbind(z, 2*z - 5))

[Package POT version 1.1-7 Index]